All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals
Class DisplayTransformCustomizerPanel

    com.sas.swing.visuals.DisplayTransformCustomizerPanel

All Implemented Interfaces:
  com.sas.beans.CustomizerClosingInterface, LayoutConstants, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.Customizer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.ListSelectionListener

    public class DisplayTransformCustomizerPanel

implements javax.swing.event.ListSelectionListener, java.beans.PropertyChangeListener, java.awt.event.ActionListener

DisplayTransformCustomizerPanel provides the user interface for setting the display transform on the object that implements com.sas.util.transforms.DisplayTransformInterface.

See Also:
  Serialized Form

Field Summary
`protected com.sas.util.transforms.DisplayTransformInterface` | `displayTransform`
`protected TransformInterfaceEditor` | `editor`
`protected javax.swing.JList` | `inputList`
`protected ListModelAdapter` | `inputModel`
`protected boolean` | `madeVisible`
`protected javax.swing.JList` | `outputList`
`protected ListModelAdapter` | `outputModel`
`protected static java.lang.String` | `RB_KEY`
`protected boolean` | `settingClasses`
`protected boolean` | `settingInputList`
`protected boolean` | `settingOutputList`
`protected boolean` | `settingTransform`
`protected com.sas.collection.SortedCollection` | `sortedSources`
`protected com.sas.collection.SortedCollection` | `sortedTargets`
`protected javax.swing.JComboBox` | `transformBox`
`protected javax.swing.JPanel` | `transformContainer`
`protected javax.swing.DefaultComboBoxModel` | `transformModel`

Fields inherited from class com.sas.swing.visuals.SwingCustomizerPanel
`bean, tabTitle`

Fields inherited from interface com.sas.swing.visuals.util.LayoutConstants
`DOTS_BUTTON_INSETS, EMPTY_INSETS, HGAP, HMARGIN, INDENTED_BORDER, TAB_BORDER, TEXTFIELD_INSETS, VGAP, VMARGIN`

Constructor Summary
`DisplayTransformCustomizerPanel()` Constructor used pass the name of the tab up to the superclass.
`DisplayTransformCustomizerPanel(java.lang.String tabName)` Constructor used pass the name of the tab up to the superclass.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`void` | `addLinks()`
`protected void` | `createComponents()`
`protected void` | `createMainPanel()`
`protected void` | `createTransformContainer()`
`protected void` | `createTransformContainerComponents()`
`void` | `customizerClosing()` customizerClosing() is called when the customizer for a component is closed.
`static java.lang.String` | `getClassDeclaration(java.lang.Class classObj)`
`protected com.sas.util.transforms.TransformInterface` | `getCurrentTransform()`
`void` | `propertyChange(java.beans.PropertyChangeEvent e)`
`void` | `setDefaultValues()` Create the UI controls
`void` | `setObject(java.lang.Object bean)` Sets the Object being customized.
`protected void` | `setSourceAndTargetClasses(com.sas.util.transforms.TransformInterface transform)`
`protected void` | `setTransformList()`
`protected void` | `setTransformOnBean(com.sas.util.transforms.TransformInterface transform)` Sets the transfrom on the bean
`protected void` | `setTransformSelected()` Set the selectedItem in the list to correspond to the attached Transform
`void` | `setVisible(boolean b)`
`protected void` | `synchronizeLists()`
`void` | `valueChanged(javax.swing.event.ListSelectionEvent event)` Handles valueChanged events

Methods inherited from class com.sas.swing.visuals.SwingCustomizerPanel
`getObject, getTabTitle, setTabTitle`

Field Detail

### RB_KEY

    protected static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### displayTransform

    protected com.sas.util.transforms.DisplayTransformInterface displayTransform

### inputList

    protected javax.swing.JList inputList

### outputList

    protected javax.swing.JList outputList

### transformBox

    protected javax.swing.JComboBox transformBox

### inputModel

    protected ListModelAdapter inputModel

### sortedSources

    protected com.sas.collection.SortedCollection sortedSources

### outputModel

    protected ListModelAdapter outputModel

### transformModel

    protected javax.swing.DefaultComboBoxModel transformModel

### sortedTargets

    protected com.sas.collection.SortedCollection sortedTargets

### editor

    protected TransformInterfaceEditor editor

### transformContainer

    protected javax.swing.JPanel transformContainer

### settingClasses

    protected boolean settingClasses

### settingTransform

    protected boolean settingTransform

### madeVisible

    protected boolean madeVisible

### settingInputList

    protected boolean settingInputList

### settingOutputList

    protected boolean settingOutputList

Constructor Detail

### DisplayTransformCustomizerPanel

    public DisplayTransformCustomizerPanel(java.lang.String tabName)

  Constructor used pass the name of the tab up to the superclass.

### DisplayTransformCustomizerPanel

    public DisplayTransformCustomizerPanel()

  Constructor used pass the name of the tab up to the superclass.

Method Detail

### setDefaultValues

    public void setDefaultValues()

  Create the UI controls

### createComponents

    protected void createComponents()

### createMainPanel

    protected void createMainPanel()

### createTransformContainer

    protected void createTransformContainer()

### createTransformContainerComponents

    protected void createTransformContainerComponents()

### setObject

    public void setObject(java.lang.Object bean)

  Description copied from class: `SwingCustomizerPanel`
  Sets the Object being customized.

  Specified by:
    `setObject` in interface `java.beans.Customizer`
  Overrides:
    `setObject` in class `SwingCustomizerPanel`
  Parameters:
    `bean` - the Object being customized.
  See Also:
    `Customizer.setObject(java.lang.Object)`

### addLinks

    public void addLinks()

### setVisible

    public void setVisible(boolean b)

  Overrides:
    `setVisible` in class `javax.swing.JComponent`

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent event)

  Handles valueChanged events

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`
  Parameters:
    `event` - ListSelectionEvent

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### synchronizeLists

    protected void synchronizeLists()

### getCurrentTransform

    protected com.sas.util.transforms.TransformInterface getCurrentTransform()

### setTransformList

    protected void setTransformList()

### setSourceAndTargetClasses

    protected void setSourceAndTargetClasses(com.sas.util.transforms.TransformInterface transform)

### setTransformOnBean

    protected void setTransformOnBean(com.sas.util.transforms.TransformInterface transform)

  Sets the transfrom on the bean

### setTransformSelected

    protected void setTransformSelected()

  Set the selectedItem in the list to correspond to the attached Transform

### customizerClosing

    public void customizerClosing()

  Description copied from class: `SwingCustomizerPanel`
  customizerClosing() is called when the customizer for a component is closed. customizerClosing() of the customizerView calls customizerClosing() on each of the panels in the CustomizerView which extend CustomizerPanel.

  customizerClosing() should "unhook" the bean from the customizer by removing any event listeners the panel added to the bean.

  Subclasses should call super in case we add some functionality to this method in the future.

  Specified by:
    `customizerClosing` in interface `com.sas.beans.CustomizerClosingInterface`
  Overrides:
    `customizerClosing` in class `SwingCustomizerPanel`

### getClassDeclaration

    public static java.lang.String getClassDeclaration(java.lang.Class classObj)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.